#!/bin/bash
#Check for whether the  Arduino Nano (FIFO interface) is physically present, as expected.
#This is a trivial wrapper around arduino_delay, used for consistency with pb_check etc.

CMD="arduino_delay -a"

if [ $# != 0 ]; then
	echo "This checks for the presence of the expected Arduino Nano device on this computer's USB bus."
	echo "It checks: '$CMD'"
	echo "If found, return 0; else return 1."
	exit 1
fi

echo -n "Checking for Arduino..."
if $CMD 2> /dev/null ; then
	echo "OK"
	exit 0
else
	#Can sometimes fail the first time after poweron. Give it a second chance.
	echo -n "FAIL...RETRY..."
	if $CMD 2> /dev/null ; then
		echo "OK"
		exit 0
	fi

	echo "ERROR"
	echo "Warning: Arduino not present as expected. It should be connected via USB." >&2
	echo "Run arduino_delay -da for more details." >&2
	#zenity --error --text="ERROR: Arduino not present! Check USB connections."
	exit 1
fi

